summaryrefslogtreecommitdiffstats
path: root/cvscompile
diff options
context:
space:
mode:
authorJaroslav Kysela <perex@perex.cz>2005-03-24 10:47:29 +0000
committerJaroslav Kysela <perex@perex.cz>2005-03-24 10:47:29 +0000
commitb1ae46aa0c6aa0cf9c4056cc3de3b5797c2434c3 (patch)
treecc66f18ca1d3ab787557428d76de3476089820c9 /cvscompile
parent88bd4f68b834dd343192ba7ec3d21124c49a406f (diff)
packaging related changes
Diffstat (limited to 'cvscompile')
-rw-r--r--cvscompile17
1 files changed, 17 insertions, 0 deletions
diff --git a/cvscompile b/cvscompile
new file mode 100644
index 0000000..41bd1f7
--- /dev/null
+++ b/cvscompile
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+touch ltconfig
+libtoolize --force --copy --automake
+aclocal $ACLOCAL_FLAGS
+autoheader
+automake --foreign --copy --add-missing
+touch depcomp # seems to be missing for old automake
+autoconf
+export CFLAGS='-O2 -Wall -W -pipe -g'
+echo "CFLAGS=$CFLAGS"
+echo "./configure $@"
+./configure $@ || exit 1
+unset CFLAGS
+if [ -z "$CVSCOMPILE_NO_MAKE" ]; then
+ make
+fi